Bug 694365 - The floppy disk can't be discoverd by the guest
The floppy disk can't be discoverd by the guest
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: jason wang
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier3 690017
  Show dependency treegraph
 
Reported: 2011-04-07 02:22 EDT by koka xiong
Modified: 2011-10-26 00:36 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-26 00:36:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description koka xiong 2011-04-07 02:22:43 EDT
Description of problem:
Define a guest with floppy disk then start the guest,the floppy disk can't be discoverd by the guest.

Version-Release number of selected component (if applicable):
kvm-83-229.el5
libvirt-0.8.2-18.el5
kernel-2.6.18-252.el5


How reproducible:
always

Steps to Reproduce:
1.Virsh define the guest with the following xml
 virsh dumpxml nfs_test
<domain type='kvm' id='17'>
  <name>nfs_test</name>
  <uuid>000ead84-331d-0eed-0727-1534d6f6ea30</uuid>
  <memory>1048576</memory>
  <currentMemory>1048576</currentMemory>
  <vcpu>2</vcpu>
  <os>
    <type arch='x86_64' machine='rhel5.6.0'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
    <pae/>
  </features>
  <clock offset='utc'>
    <timer name='pit' tickpolicy='delay'/>
  </clock>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw'/>
      <source file='/var/lib/libvirt/images/nfs_test.img'/>
      <target dev='vda' bus='virtio'/>
      <alias name='virtio0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </disk>
    <disk type='file' device='floppy'>
      <driver name='qemu' type='raw'/>
      <source file='/var/lib/libvirt/images/fd.img'/>
      <target dev='fda' bus='fdc'/>
      <alias name='floppy0'/>
      <address type='drive' controller='0' bus='0' unit='0'/>
    </disk>
    <controller type='fdc' index='0'/>
    <interface type='network'>
      <mac address='52:54:00:8e:ec:a8'/>
      <source network='default'/>
      <target dev='vnet0'/>
      <model type='e1000'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='pty'>
      <source path='/dev/pts/1'/>
      <target port='0'/>
    </serial>
    <console type='pty' tty='/dev/pts/1'>
      <source path='/dev/pts/1'/>
      <target port='0'/>
    </console>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='5900' autoport='yes' keymap='en-us'/>
    <sound model='ac97'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </sound>
    <video>
      <model type='cirrus' vram='9216' heads='1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
  </devices>
  <seclabel type='dynamic' model='selinux'>
    <label>system_u:system_r:svirt_t:s0:c359,c734</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c359,c734</imagelabel>
  </seclabel>
</domain>

2.Virsh start the guest
3.In the guest run fdisk -l and cat /proc/partitions

Actual results:
The floppy disk can't be discoverd.

Expected results:


Additional info:
Look at the log /var/log/libvirt/qemu/nfs_test.log
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/libexec/qemu-kvm -S -M rhel5.6.0 -m 1024 -smp 2,sockets=2,cores=1,threads=1 -name nfs_test -uuid 000ead84-331d-0eed-0727-1534d6f6ea30 -monitor unix:/var/lib/libvirt/qemu/nfs_test.monitor,server,nowait -no-kvm-pit-reinjection -no-reboot -boot c -drive file=/var/lib/libvirt/images/nfs_test.img,if=virtio,boot=on,format=raw -drive file=/var/lib/libvirt/images/fd.img,if=floppy,unit=0,format=raw -net nic,macaddr=52:54:00:8e:ec:a8,vlan=0,model=e1000 -net tap,fd=19,vlan=0 -serial pty -parallel none -usb -vnc 127.0.0.1:0 -k en-us -vga cirrus -soundhw ac97 -balloon virtio
Comment 1 Daniel Berrange 2011-04-08 05:45:33 EDT
What is the guest kernel, and more importantly, does it have the 'floppy' kernel module loaded ?
Comment 2 koka xiong 2011-04-08 05:54:26 EDT
Guest kernel is 2.6.32-71.el6.x86_64
After running #modprobe floppy;
then run lsmod |grep floppy,we can get the floppy mod
but run fdisk -l,still can't find the floppy

Note You need to log in before you can comment on or make changes to this bug.